package cd.casic.plugin.extension;

import java.util.Comparator;
import java.util.Objects;

/**
 * @Classname Extension
 * @Description TODO
 * @Date 2025/5/8 19:33
 * @Created by mianbin
 */
public interface Extension extends ExtensionOperator, Comparable<Extension>{

    @Override
    default int compareTo(Extension another) {
        if (another == null || another.getMetadata() == null) {
            return 1;
        }
        if (getMetadata() == null) {
            return -1;
        }
        return Objects.compare(getMetadata().getName(), another.getMetadata().getName(),
                Comparator.naturalOrder());
    }

}
