package cd.casic.module.process.core.util;

import cd.casic.ci.commons.bean.exception.SystemException;

import java.beans.PropertyDescriptor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;

public class BeanUtils {
    public BeanUtils() {
    }

    public static PropertyDescriptor getPropertyDescriptor(Class clazz, String propertyName) {
        try {
            StringBuffer sb = new StringBuffer();
            Field f = null;

            try {
                f = clazz.getDeclaredField(propertyName);
            } catch (NoSuchFieldException var8) {
                return null;
            }

            if (f == null) {
                throw new SystemException("propertyName:" + propertyName + " not found.");
            } else {
                String var10000 = propertyName.substring(0, 1).toUpperCase();
                String methodEnd = var10000 + propertyName.substring(1);
                sb.append("set" + methodEnd);
                Method setMethod = clazz.getDeclaredMethod(sb.toString(), f.getType());
                sb.delete(0, sb.length());
                sb.append("get" + methodEnd);
                Method getMethod = clazz.getDeclaredMethod(sb.toString());
                PropertyDescriptor pd = new PropertyDescriptor(propertyName, getMethod, setMethod);
                return pd;
            }
        } catch (Exception var9) {
            throw new SystemException("系统错误");
//            throw new SystemException(var9);
        }
    }
}
