package cd.casic.ci.commons.bean.process.definition;


import cd.casic.ci.commons.bean.support.count.PipelineOverview;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.mapstruct.Mappings;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线最近打开模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineOpen {

    private String openId;

    //用户id
    private String userId;

    private Pipeline pipeline;

    private int number;

    private String createTime;

    //流水线执行统计信息
    private PipelineOverview pipelineOverview;
    public void setPipelineExecState(PipelineOverview pipelineOverview) {
        this.pipelineOverview = pipelineOverview;
    }
}
