package cd.casic.ci.commons.bean.process.setting;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线系统信息模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class SystemMassage {

    //系统版本
    private String workspace;

    //java版本
    private String JavaVersion = System.getProperty("java.version");

    //java安装路径
    private String javaHome = System.getProperty("java.home");

    //用户名
    private String userName = System.getProperty("user.name");

    //应用地址
    private String osName = System.getProperty("os.name");

    //ip地址
    private String ip;

    //系统版本
    private String userDir = System.getProperty("user.dir");
}
