package cd.casic.ci.commons.bean.support.deploy;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class TaskDeployInstance {

    // id
    private String id;

    // 实例ID
    private String taskInstanceId;

    // 名称
    private String name;

    // 时间
    private String runTime;

    // 状态
    private String runStatus;

    // 运行日志
    private String runLog;

    private Integer sort;

    public TaskDeployInstance(String id, String taskInstanceId) {
        this.id = id;
        this.taskInstanceId = taskInstanceId;
        this.runStatus = "wait";
    }

}
