package cd.casic.module.process.message.setting;

import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.module.process.message.model.setting.MessageSendType;
import cd.casic.module.process.message.model.setting.MessageSendTypeQuery;
import jakarta.validation.Valid;
import jakarta.validation.constraints.NotNull;

import java.util.List;

public interface MessageSendTypeService {
    String createMessageSendType(@NotNull @Valid MessageSendType var1);

    void updateMessageSendType(@NotNull @Valid MessageSendType var1);

    void deleteMessageSendType(@NotNull String var1);

//    @FindOne
    MessageSendType findOne(@NotNull String var1);

//    @FindList
    List<MessageSendType> findList(List<String> var1);

    MessageSendType findMessageSendType(@NotNull String var1);

//    @FindAll
    List<MessageSendType> findAllMessageSendType();

    List<MessageSendType> findMessageSendTypeList(MessageSendTypeQuery var1);

    PageResult<MessageSendType> findMessageSendTypePage(MessageSendTypeQuery var1);

    Integer findSendTypeNumber();
}
