package cd.casic.module.process.process.definition.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;


/**
 * 流水线最近打开实体
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_other_open", autoResultMap = true)
public class PipelineOpenDo extends BaseDO {

    @TableId
    private String openId;

    private String pipelineId;

    //打开次数
    private int number;

    private String userId;
}
