package cd.casic.module.process.process.instance.dataobject;


import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * 流水线实例实体
 */

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_pipeline_instance", autoResultMap = true)
public class PipelineInstanceDo extends BaseDO {

    //id
    @TableId
    private String instanceId;

    //创建构建时间
    // todo

//    private String createTime;

    //构建方式
    private int runWay;

    //执行人
    private String userId;

    //状态 1.失败 10.成功 20:停止
    private String runStatus;

    //执行时间
    private int runTime;

    //流水线
    private String pipelineId;

    //构建次数
    private int findNumber;

}
