package cd.casic.module.process.process.setting.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;


@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_auth_host_group", autoResultMap = true)
public class AuthHostGroupDo extends BaseDO {

    @TableId
    private String groupId;

    private String groupName;

    //是否公开 1：公开， 2：不公开
    private int authPublic;

    private String details;

}
