package cd.casic.module.process.security.logging.logging.model;

import cd.casic.module.process.user.user.User;
import com.fasterxml.jackson.annotation.JsonFormat;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.sql.Timestamp;
@Data
public class Logging {
    private String id;
    @NotNull
//    @Mappings({@Mapping(
//            source = "user.id",
//            target = "userId"
//    )})
//    @JoinQuery(
//            key = "id"
//    )
    private User user;
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Timestamp createTime = new Timestamp(System.currentTimeMillis());
    private String module;
    @NotNull
//    @Mappings({@Mapping(
//            source = "actionType.id",
//            target = "actionType"
//    )})
//    @JoinQuery(
//            key = "id"
//    )
    private LoggingType actionType;
    @NotNull
    private String baseUrl;
    private String content;
    private String bgroup;
    private String data;
    @NotNull
    private String link;
    @NotNull
    private String action;
}
