package cd.casic.module.process.task.artifact.model;

import cd.casic.ci.commons.bean.order.Order;
import cd.casic.ci.commons.bean.order.OrderBuilders;
import cd.casic.framework.commons.pojo.PageParam;
import lombok.Data;

import java.util.List;
@Data
public class XpackRepositoryQuery {

    // @ApiProperty(name = "orderParams", desc = "排序参数")
    private List<Order> orderParams = OrderBuilders.instance().asc("id").get();

    // @ApiProperty(name = "pageParam", desc = "分页参数")
    private PageParam pageParam = new PageParam();

    // @ApiProperty(name = "name", desc = "制品库名字")
    private String name;

    // @ApiProperty(name = "repositoryType", desc = "制品库类型 maven、npm")
    private String repositoryType;

    // @ApiProperty(name = "type", desc = "类型 local、remote、group")
    private String type;

}
