package cd.casic.module.process.task.code.dataobject;


/**
 * @ClassName TaskArtifactXpackServiceImpl
 * @Author hopeli
 * @Date 2025/5/2 20:25
 * @Version 1.0
 */

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;


@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_task_code", autoResultMap = true)
public class TaskCodeDo extends BaseDO {

    @TableId
    private String taskId;

    //地址名
    private String codeName;

    //地址
    private String codeAddress;

    //分支
    private String codeBranch;

    //凭证信息
    private String authId;

    private String svnFile;

    private String xcodeId;

    private String branchId;

    private String houseId;

    private String toolGit;

    private String toolSvn;

    // 认证类型
    private String authType;

    // 用户名
    private String username;

    // 密码
    private String password;

    // 私钥
    private String priKey;

}
